def find_path(a, b):
    path = []
    while a != 1 or b != 1:  # Пока не достигнем дроби 1/1
        if a < b:  # Дробь находится в левой ветке
            path.append('L')
            b -= a  # Обновляем знаменатель
        else:  # Дробь находится в правой ветке
            path.append('R')
            a -= b  # Обновляем числитель
    return ''.join(reversed(path))  # Путь строится в обратном порядке

# Чтение входных данных
a, b = map(int, input().split())

# Проверка на корректность входных данных
if a <= 0 or b <= 0:
    print("Невозможно получить путь: числитель и знаменатель должны быть положительными числами.")
elif a == b:
    print("Невозможно получить путь: числитель и знаменатель не должны быть равны.")
else:
    # Вычисление пути
    result = find_path(a, b)
    # Вывод результата
    print(result)
