from itertools import permutations

def is_valid_dice(values):
    for perm in permutations(values):
        if perm[0] + perm[5] == perm[1] + perm[4] == perm[2] + perm[3]:
            return True
    return False


n = int(input("Введите количество наборов: "))
for _ in range(n):
    dice_values = list(map(int, input().split()))
    if is_valid_dice(dice_values):
        print("yes")
    else:
        print("no")
